
Application: gvSIG desktop - gvSIG feature requests #3130
Añadir soporte en andami para agrupar botones en un boton desplegable.
01/23/2015 06:51 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Application
Target version: 2.1.0-2265
gvSIG version: 2.1.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

Añadir soporte en andami para permitir agrupar botones en un boton desplegable, por ejemplo, que los botones de:

- Seleccion simple
- Seleccion por circulo
- Seleccion por rectangulo
- Seleccion por poligono
- Seleccion por buffer

Aparezcan como un solo boton con una flechita a su lado que permita desplegarlos y seleccionar el "sub-boton" que se desee.
Al hacer click sobre uno debera:

- Pasar a "boton-principal", es decir el que se muestra en la toolbar, el boton sobre el que se ha hecho click
- Ejecutar la accion de ese boton.

History
#1 - 01/23/2015 07:01 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Se ha añadido un atributo a los selectable-tool y action-tool en el config.xml, dropdowngroup.
Este atributo se usara para agrupar las herramientas en un boton.
Solo se pueden agrupar herramientas que esten en la misma "tool-bar".

Por ejemplo, si queremos juntar en un solo boton las herramientas "selection-simple-select-view", "selection-select-by-rectangle-view" y
"selection-select-by-polygon" podriamos añadir el atributo dropdowngroup en el config.xml del plugin de org.gvsig.app.mainplugin con algo como:

      <tool-bar name="view_selection" position="6">
        <selectable-tool name="selection-simple-select-view"  dropdowngroup="selection" />
      </tool-bar>
...

      <tool-bar name="view_selection" position="6">
        <selectable-tool name="selection-select-by-rectangle-view" dropdowngroup="selection" />
        <selectable-tool name="selection-select-by-polygon" dropdowngroup="selection" />
      </tool-bar>
r41963 y r41962

#2 - 01/23/2015 04:50 PM - Antonio Falciano

Good idea, but it seems it's not working yet in build 2265.

#3 - 01/25/2015 05:46 PM - Joaquín  del Cerro Murciano

He añadido el soporte pero ahora mismo no se usa en ningun sitio de gvSIG.
Si quieres verlo funcionando tendrias que editar el config.xml de algun plugin para activarlo.

Espero que se use en el nuevo plugin de edicion y que lo podamos ir probando antes de la salida de la proxima version 2.2.0 para que se pueda
activar de base en algunas herramientas.

#4 - 01/26/2015 09:41 AM - Álvaro Anguix
- Status changed from Fixed to Closed
